## molly-guard 0.4.5

=== Makefile ===
prefix?=/usr/local
etc_prefix?=$(prefix)
DST=$(DEST)$(prefix)
ETCDIR=$(DEST)$(etc_prefix)/etc/molly-guard

all: molly-guard.8.gz shutdown

%.8: DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
%.8: XP=xsltproc -''-nonet
%.8: %.xml
	$(XP) $(DB2MAN) $<

%.gz: %
	gzip -9 $<

man: molly-guard.8
	man -l $<
.PHONY: man

clean:
	rm -f shutdown
	rm -f molly-guard.8 molly-guard.8.gz
.PHONY: clean

shutdown: shutdown.in
	sed -e 's,@ETCDIR@,$(ETCDIR),g' $< > $@

install: shutdown molly-guard.8.gz
	mkdir -m755 --parent $(DST)/share/molly-guard
	install -m755 -oroot -oroot shutdown $(DST)/share/molly-guard

	mkdir -m755 --parent $(DST)/sbin
	ln -s ../share/molly-guard/shutdown $(DST)/sbin/poweroff
	ln -s ../share/molly-guard/shutdown $(DST)/sbin/halt
	ln -s ../share/molly-guard/shutdown $(DST)/sbin/reboot
	ln -s ../share/molly-guard/shutdown $(DST)/sbin/shutdown

	mkdir -m755 --parent $(ETCDIR)
	install -m644 -oroot -oroot rc $(ETCDIR)
	cp -r run.d $(ETCDIR) \
	  && chown root.root $(ETCDIR)/run.d && chmod 755 $(ETCDIR)/run.d

	mkdir -m755 --parent $(ETCDIR)/messages.d

	mkdir -m755 --parent $(DST)/share/man/man8
	install -m644 -oroot -groot molly-guard.8.gz $(DST)/share/man/man8
.PHONY: install

## molly-guard 0.5.1

=== Makefile ===
prefix?=/usr/local
etcdir?=$(prefix)/etc
cfgdir?=$(etcdir)/molly-guard
libdir?=$(prefix)/lib
sbindir?=$(prefix)/sbin
REALPATH?=/sbin

all: molly-guard.8.gz shutdown

%.8: DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
%.8: XP=xsltproc -''-nonet
%.8: %.xml
	$(XP) $(DB2MAN) $<

%.gz: %
	gzip -9 < $< > $@

man: molly-guard.8
	man -l $<
.PHONY: man

clean:
	rm -f shutdown
	rm -f molly-guard.8 molly-guard.8.gz
.PHONY: clean

shutdown: shutdown.in
	sed -e 's,@cfgdir@,$(cfgdir),g;s,@REALPATH@,$(REALPATH),g' $< > $@

install: shutdown molly-guard.8.gz
	mkdir -m755 --parent $(DEST)$(libdir)/molly-guard
	install -m755 -oroot -oroot shutdown $(DEST)$(libdir)/molly-guard/molly-guard

	mkdir -m755 --parent $(DEST)$(sbindir)
	ln -s $(libdir)/molly-guard/molly-guard $(DEST)$(sbindir)/poweroff
	ln -s $(libdir)/molly-guard/molly-guard $(DEST)$(sbindir)/halt
	ln -s $(libdir)/molly-guard/molly-guard $(DEST)$(sbindir)/reboot
	ln -s $(libdir)/molly-guard/molly-guard $(DEST)$(sbindir)/shutdown

	mkdir -m755 --parent $(DEST)$(cfgdir)
	install -m644 -oroot -oroot rc $(DEST)$(cfgdir)
	cp -r run.d $(DEST)$(cfgdir) \
	  && chown root.root $(DEST)$(cfgdir)/run.d && chmod 755 $(DEST)$(cfgdir)/run.d

	mkdir -m755 --parent $(DEST)$(cfgdir)/messages.d

	mkdir -m755 --parent $(DEST)$(prefix)/share/man/man8
	install -m644 -oroot -groot molly-guard.8.gz $(DEST)$(prefix)/share/man/man8
.PHONY: install

## molly-guard 0.6.3

=== debian/changelog ===
molly-guard (0.6.3) unstable; urgency=medium

  * Move pm-utils diverts to /usr/sbin/ (closes: #812535)
  * Disable pm-utils diverts until #812545 is fixed
  * Use https for Vcs-Git URL (lintian warning)

 -- Francois Marier <francois@debian.org>  Sun, 24 Jan 2016 12:19:45 -0800

molly-guard (0.6.2) unstable; urgency=medium

  * Add missing diverts for kexec-tools and pm-utils (closes: #797531)

 -- Francois Marier <francois@debian.org>  Mon, 31 Aug 2015 08:10:12 -0700

molly-guard (0.6.1) unstable; urgency=medium

  * Upload to unstable
  * Run wrap-and-sort

 -- Francois Marier <francois@debian.org>  Sat, 29 Aug 2015 10:34:34 -0700

molly-guard (0.6.0) experimental; urgency=medium

  * Convert to a Debian native package
  * Merge upstream and Debian changelogs
  * Switch to a minimal debian/rules
  * Rely on dh_installman to compress the manpage

  * Add support for mosh (closes: #705397)
  * Add support for coldreboot from kexec-tools (closes: #735871)
    Thanks to Daniel Baumann for the patch!
  * Add support for quotes in shutdown message (closes: #699711)
  * Add config option to require fully-qualified hostnames (closes: #658282)
    Thanks to Andrew Pollock for the patch!
  * Add support for the pm-utils commands (closes: #663655)

 -- Francois Marier <francois@debian.org>  Sun, 23 Aug 2015 11:55:39 -0700

molly-guard (0.5.2-1) unstable; urgency=medium

  [ Josh Triplett ]
  * New upstream release.
  * Skip molly-guard's protection logic if we don't have the "tty" command to
    determine the terminal.  Avoids a spurious failure when invoked without
    /usr mounted. (Closes: #771572)

  [ Francois Marier ]
  * Take over maintenance with madduck's blessing
  * Bump Standards-Version to 3.9.6
  * Bump debhelper version to 9
  * Install lintian override with dh_lintian
  * Use standard template in postrm and preinst scripts
  * Switch to machine-readable copyright file and add missing copyright holders
  * Disable pristine-tar in debian/gbp.conf
  * Add debian/source/format
  * Update VCS URLs
  * Fix the lintian overrides

 -- Francois Marier <francois@debian.org>  Sun, 23 Aug 2015 11:22:14 -0700

molly-guard (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Fix and rework prefix and etcdir handling to not embed the build directory
    in the binary. (Closes: #768418)

 -- Josh Triplett <josh@joshtriplett.org>  Fri, 07 Nov 2014 03:42:41 -0800

molly-guard (0.5-1) unstable; urgency=low

  * New upstream release.
  * Improve handling for guarded commands that call other guarded commands: if
    called recursively (detected via MOLLYGUARD_CMD environment variable),
    unconditionally run the real command.  Suggested by Sam Hartman at
    DebConf.
  * Install the molly-guard wrapper script to the same filesystem as the
    programs that link to it.
  * Support running the real utilities from a location other than /sbin,
    determined at build time by passing REALPATH to make.
  * Support setting an sbindir other than sbin in the prefix; this allows
    setting a prefix of /usr but an sbindir of /sbin.
  * Prevent gzip from interactively prompting about overwriting if
    molly-guard.8.gz already exists.
  * Drop lintian override for
    depends-on-essential-package-without-using-version, since molly-guard no
    longer depends on sysvinit.
  * Add Enhances for init and systemd.
  * Use diversions rather than /usr/sbin.  Divert the guarded commands to
    /lib/molly-guard, and install links in their place, rather than relying on
    /usr/sbin's position in $PATH.  This avoids installing different files to
    /sbin and /usr/sbin.  (Closes: #660064)
  * Add myself as an uploader.

 -- Josh Triplett <josh@joshtriplett.org>  Tue, 26 Aug 2014 10:41:06 -0700

molly-guard (0.4.5-1) unstable; urgency=low

  * New upstream release, which works properly with kFreeBSD
    (closes: #548099).
    - remove linuxism /proc/<pid>/fd/0;
    - add check for ssh in the ancestry of the shell process.
  * Add Uploader: Ludovico Gardenghi <garden@debian.org>
  * Bump debhelper compatibility level to 7:
    - replace dh_clean -k with dh_prep.
  * Bump Standars-Version to 3.9.3: no other changes required.
  * Add recommended build-indep and build-arch targets in debian/rules.
  * Replace $(PWD) with $(CURDIR) in debian/rules.

 -- Ludovico Gardenghi <garden@debian.org>  Fri, 24 Feb 2012 01:02:20 +0100

molly-guard (0.4.4-2) unstable; urgency=low

  * Remove dependency on sysvutils, which is essential, and upstart, which is
    in experimental still (closes: #488722).

 -- martin f. krafft <madduck@debian.org>  Tue, 01 Jul 2008 15:28:51 +0200

molly-guard (0.4.4-1) unstable; urgency=low

  * New upstream release, which now properly passes arguments to the real
    commands (closes: #486945).

 -- martin f. krafft <madduck@debian.org>  Thu, 19 Jun 2008 10:17:35 +0200

molly-guard (0.4.3-1) unstable; urgency=low

  * New upstream release, which properly detects sshd sessions, even if
    ControlMaster is in use.

 -- martin f. krafft <madduck@debian.org>  Sun, 01 Jun 2008 23:20:00 +0200

molly-guard (0.4.2-1) unstable; urgency=low

  * New upstream release, to unstable.
  * Improved checking for ALWAYS_QUERY_HOSTNAME

 -- martin f. krafft <madduck@debian.org>  Sat, 31 May 2008 16:20:35 +0200

molly-guard (0.4-1~exp.1) experimental; urgency=low

  * New upstream release, thanks a lot to Andrew Ruthven for his input and
    patches.
    - use run-parts to allow additional checks to be added easily.
    - add setting to always molly-guard a host (closes: #470681, #471382).
    - possibly print out a warning message before taking action
      (closes: 476508).
  * Add a molly-guard(8) manpage and migrate the content from README there.

 -- martin f. krafft <madduck@debian.org>  Sat, 19 Apr 2008 15:36:36 +0200

molly-guard (0.3.2-1) unstable; urgency=low

  * New upstream release, which prevent set -u from falling over unset
    SSH_CONNECTION variable (closes: #471129).



=== debian/control ===
Source: molly-guard
Section: admin
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Uploaders: Ludovico Gardenghi <garden@debian.org>,
           Josh Triplett <josh@joshtriplett.org>
Build-Depends: debhelper (>= 9), docbook-xsl, xsltproc
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/collab-maint/molly-guard.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/molly-guard.git

Package: molly-guard
Architecture: all
Depends: procps, ${misc:Depends}
Enhances: init,
          kexec-tools,
          mosh,
          openssh-server,
          pm-utils,
          systemd,
          sysvinit,
          upstart
Description: protects machines from accidental shutdowns/reboots
 The package installs a shell script that overrides the existing
 shutdown/reboot/halt/poweroff/coldreboot/pm-hibernate/pm-suspend* commands
 and first runs a set of scripts, which all have to exit successfully,
 before molly-guard invokes the real command.
 .
 One of the scripts checks for existing SSH sessions. If any of the four
 commands are called interactively over an SSH session, the shell script
 prompts you to enter the name of the host you wish to shut down. This should
 adequately prevent you from accidental shutdowns and reboots.
 .
 molly-guard diverts the real binaries to /lib/molly-guard/.  You can bypass
 molly-guard by running those binaries directly.

## molly-guard 0.6.4

=== debian/changelog ===
molly-guard (0.6.4) unstable; urgency=medium

  * Guard against non-existing /lib/molly-guard in postinst (closes: #834152)
  * Bump Standards-Version up to 3.9.8

 -- Francois Marier <francois@debian.org>  Mon, 15 Aug 2016 22:16:18 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ludovico Gardenghi <garden@debian.org>,
            Josh Triplett <josh@joshtriplett.org>
 Build-Depends: debhelper (>= 9), docbook-xsl, xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/molly-guard.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/molly-guard.git

## molly-guard 0.7

=== debian/changelog ===
molly-guard (0.7) unstable; urgency=medium

  * New maintainer (Closes: #859596)
  * Set https in Format field at debian/copyright
  * Update Standards-Version
  * Hostname case-insensitive (Closes: #856170)
  * Update copyright holders of 30-query-hostname
  * Update copyright holders at debian/copyright
  * Pass through "halt -w" and "halt -f" commands (Closes: #867331)

 -- Simó Albert i Beltran <sim6@probeta.net>  Sat, 29 Jul 2017 15:39:20 +0200

## molly-guard 0.7.1

=== debian/changelog ===
molly-guard (0.7.1) unstable; urgency=medium

  * Pass through "reboot -f" command (Closes: #870891)

 -- Simó Albert i Beltran <sim6@probeta.net>  Sun, 06 Aug 2017 23:52:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: molly-guard
 Section: admin
 Priority: extra
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Simó Albert i Beltran <sim6@probeta.net>
 Uploaders: Ludovico Gardenghi <garden@debian.org>,
-           Josh Triplett <josh@joshtriplett.org>
+           Josh Triplett <josh@joshtriplett.org>,
+           Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), docbook-xsl, xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/molly-guard.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/molly-guard.git

## molly-guard 0.7.1+nmu1

=== debian/changelog ===
molly-guard (0.7.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:05:46 +0800

## molly-guard 0.7.2

=== Makefile ===
PREFIX?=/usr
cfgdir?=/etc/molly-guard
libdir?=/lib
sbindir?=/sbin
REALPATH?=$(libdir)/molly-guard

all: molly-guard.8 shutdown

%.8: DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
%.8: XP=xsltproc -''-nonet
%.8: %.xml
	$(XP) $(DB2MAN) $<

man: molly-guard.8
	man -l $<
.PHONY: man

clean:
	rm -f shutdown
	rm -f molly-guard.8
.PHONY: clean

shutdown: shutdown.in
	sed -e 's,@cfgdir@,$(cfgdir),g;s,@REALPATH@,$(REALPATH),g' $< > $@

install: shutdown molly-guard.8
	mkdir -m755 --parent $(DESTDIR)$(libdir)/molly-guard
	install -m755 -oroot -oroot shutdown $(DESTDIR)$(libdir)/molly-guard/molly-guard
	
	mkdir -m755 --parent $(DESTDIR)$(sbindir)
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/poweroff
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/halt
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/reboot
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/shutdown
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/coldreboot
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/pm-hibernate
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/pm-suspend
	ln -s $(libdir)/molly-guard/molly-guard $(DESTDIR)$(sbindir)/pm-suspend-hybrid
	
	mkdir -m755 --parent $(DESTDIR)$(cfgdir)
	install -m644 -oroot -oroot rc $(DESTDIR)$(cfgdir)
	cp -r run.d $(DESTDIR)$(cfgdir) \
	  && chown root.root $(DESTDIR)$(cfgdir)/run.d && chmod 755 $(DESTDIR)$(cfgdir)/run.d
	
	mkdir -m755 --parent $(DESTDIR)$(cfgdir)/messages.d
	
	mkdir -m755 --parent $(DESTDIR)$(PREFIX)/share/man/man8
	install -m644 -oroot -groot molly-guard.8 $(DESTDIR)$(PREFIX)/share/man/man8
.PHONY: install

=== debian/changelog ===
molly-guard (0.7.2) unstable; urgency=medium

  * upload to unstable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 Jul 2019 18:50:53 +0200

molly-guard (0.7.1+exp1) experimental; urgency=medium

  [ Simó Albert i Beltran ]
  * Update Vcs-Git and Vcs-Browser fields from alioth to salsa

  [ Marc Haber ]
  * add myself as Uploader
  * 812545 is fixed now, re-enable diversion of pm-utils files (Closes: #914716)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 07 Jun 2019 18:39:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: molly-guard
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Simó Albert i Beltran <sim6@probeta.net>
 Uploaders: Ludovico Gardenghi <garden@debian.org>,
            Josh Triplett <josh@joshtriplett.org>,
-           Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9), docbook-xsl, xsltproc
+           Francois Marier <francois@debian.org>,
+	   Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>= 10), docbook-xsl, xsltproc
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/molly-guard.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/molly-guard.git
+Vcs-Git: https://salsa.debian.org/debian/molly-guard.git
+Vcs-Browser: https://salsa.debian.org/debian/molly-guard
 
 Package: molly-guard
 Architecture: all

## molly-guard 0.8.3

=== debian/changelog ===
molly-guard (0.8.3) unstable; urgency=medium

  * Upload to unstable

 -- Francois Marier <francois@debian.org>  Fri, 22 Dec 2023 14:23:25 -0800

molly-guard (0.8.2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Attempt to fix the /usr-merge fallout. (Closes: #1056279)

  [ Francois Marier ]
  * Remove obsolete upgrade cleanup.
  * Remove unused lintian override.

 -- Francois Marier <francois@debian.org>  Wed, 20 Dec 2023 10:43:53 -0800

molly-guard (0.8.1) unstable; urgency=medium

  * Upload to unstable

 -- Francois Marier <francois@debian.org>  Sat, 11 Nov 2023 14:02:55 -0800

molly-guard (0.8) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.5.1, no changes needed.

  [ Andrew Ruthven ]
  * Add support for skipping checks if being run by configuration management
    (currently only Ansible is detected) (closes: #1053438)
  * Update standards version to 4.6.2, no changes needed.
  * Refresh lintian overrides

  [ Helmut Grohne ]
  * Duplicate aliased diversions for DEP17 M18. (Closes: #1055510)
  * Move all files to /usr.

  [ Francois Marier ]
  * Mark that debian/rules currently requires root (to set file ownership).

 -- Francois Marier <francois@debian.org>  Thu, 09 Nov 2023 21:53:32 -0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
            Josh Triplett <josh@joshtriplett.org>,
            Francois Marier <francois@debian.org>,
 	   Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 10), docbook-xsl, xsltproc
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13), docbook-xsl, xsltproc
+Standards-Version: 4.6.2
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/debian/molly-guard.git
 Vcs-Browser: https://salsa.debian.org/debian/molly-guard

## molly-guard 0.8.4

=== debian/changelog ===
molly-guard (0.8.4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix with sysvinit. (Closes: #1059691)

 -- Francois Marier <francois@debian.org>  Sat, 09 Mar 2024 13:38:43 -0800

## molly-guard 0.8.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX?=/usr
 cfgdir?=/etc/molly-guard
-libdir?=/lib
-sbindir?=/sbin
+libdir?=$(PREFIX)/lib
+sbindir?=$(PREFIX)/sbin
 REALPATH?=$(libdir)/molly-guard
 
 all: molly-guard.8 shutdown

=== debian/changelog ===
molly-guard (0.8.5) unstable; urgency=medium

  * Rework the duplicated diversions to avoid trouble with --rename (DEP17)
    Thanks to Helmut Grohne (Closes: #1093132)
  * 30-query-hostname is a bash script
  * Standards-Version: 4.7.0 (no changes necessary)↲

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 05 Feb 2025 20:24:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Francois Marier <francois@debian.org>,
 	   Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: debhelper-compat (= 13), docbook-xsl, xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/debian/molly-guard.git
 Vcs-Browser: https://salsa.debian.org/debian/molly-guard

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@

## molly-guard 0.8.5build1

=== debian/changelog ===
molly-guard (0.8.5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 19:24:37 +0000
